> For the complete documentation index, see [llms.txt](https://docs.squads.so/squads-v3-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squads.so/squads-v3-docs/development/pdas/transaction.md).

# Transaction

Transaction PDAs reference accounts where the transaction data is stored. Transaction accounts contain various low level information like the number of approvals, rejections, the transaction authority, etc.

Transaction PDAs are derived from the multisig PDA and the transaction index. The transaction index is an easy way to derive a list of transactions related to the multisig. When a new transaction account is created, the multisig will bump up the transaction index by one. The current transaction index can be found in the multisig account. A newly created multisig will have a starting transaction index of 0.

To find a transaction PDA using the Anchor Web3 library:

```
await anchor.web3.PublicKey.findProgramAddress([
    anchor.utils.bytes.utf8.encode("squad"),
    multisig.toBuffer(),
    transactionIndex.toBuffer("le", 4),
    anchor.utils.bytes.utf8.encode("transaction")
], programId);
```

Note that in the example, `transactionIndex` is supplied as a BN. You are free to supply the transaction index anyway you prefer, as long as the value provided to `findProgramAddress` is a little endian 4 byte buffer.

The format for deriving transaction PDAs is as follows:

```
["squad", multisig, transactionIndex, "transaction"]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.squads.so/squads-v3-docs/development/pdas/transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
